// Copyright (c) 2024 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package controllers

import (
	"git.smarteching.com/goffee/core"
	"git.smarteching.com/goffee/core/template/components"
)

// Show basic template
func Sample(c *core.Context) *core.Response {

	type templateData struct {
		TheTitle components.Title
	}

	tmplData := templateData{
		TheTitle: components.Title{
			Label: "Lorem ipsum inside",
		},
	}

	return c.Response.Template("basic.html", tmplData)

}
